### Function

# GLib Array remove_index_fast

#### Declaration [src]

    GArray*
    g_array_remove_index_fast (
      GArray* array,
      guint index_
    )

#### Description [src]

Removes the element at the given index from a `GArray`. The last element in the array is used to fill in the space, so this function does not preserve the order of the `GArray`. But it is faster than `g_array_remove_index()`.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  An array.

  The data is owned by the caller of the function.

`index_`

  Type: `guint`

  The index of the element to remove.

#### Return value

Type: An array of `gpointer`

The `GArray`.

The data is owned by the called function.